#ifndef TIMER_CLASS_HEADER
#define TIMER_CLASS_HEADER


// includes
#include <SDL/SDL.h>


// defines
#define TIMER_GETTICKS					SDL_GetTicks()


// class simple de calcul de temps pass
class CTimer
{
public:
	// constructeur et destructeur virtuel
	CTimer(void);
	virtual ~CTimer(void);


	// (re)dmarre le timer
	void Restart(void);

	// retourne le temps coul depuis le dernier Step
	Uint32 Step(void);

	// retourne le temps total qui s'est coul depuis le dernier Start
	const Uint32 TotalTime(void) const { return TIMER_GETTICKS - m_Start; }


protected:
	Uint32					m_Start;	// temps rcupr au dmarrage du timer
	Uint32					m_Step;		// dernire mesure effectue
};


#endif // TIMER_CLASS_HEADER
