#ifndef TIMERSPS_CLASS_HEADER
#define TIMERSPS_CLASS_HEADER


// includes
#include "Timer.h"


// petite volution de la classe CTimer
// ajout d'un calculateur de Step par seconde
class CTimerSps : public CTimer
{
public:
	// constructeur et destructeur virtuel
	CTimerSps(void);
	virtual ~CTimerSps(void);


	// (re)dmarre le timer
	void Restart(void);

	// retourne le temps coul depuis le dernier Step
	Uint32 Step(void);

	// retourne le temps total qui s'est coul depuis le dernier Start
	const Uint32 Count(void) const { return m_Count; }

	// calcule le nombre de Step par secondes  l'aide de TotalTime et Count
	Uint32 Compute(void) const { return (m_Count * 1000) / TotalTime(); }


protected:
	Uint32					m_Count;	// nombre de Step effectus depuis le dernier Start
};


#endif // TIMERFPS_CLASS_HEADER
